Set up for the project:
1. private docker repo hosted on AWS ECR OR DockerHub
2. Simple NodeJs application
3. Inside the repository that's 5 images


Steps to pull image from private registry:
1. Create Secret component
    - Secret component that contains credentials for Docker registry
    - config.json file for Secret
$ aws ecr get-login-password

$ [paste the "docker login..." result from last command] --> login succeeded..
    - in the background, it generates a config.json file that holds the authentication to our private repo. 
$ cat .docker/config.json
 do the aws ecr get-login from minikube

$ scp -i $(minikube ssh-key) docker@$(minikube ip):.docker/config.json .docker/config.json 

# create the secret
$ cat .docker/config.json | base64

2. Configure Deployment/Pod
    - Use Secret using the attribute imagePullSecrets

Finally,

$ kubectl apply -f node-app-deployment.yaml


